Subject: Re: [PATCH net-next 03/15] net: stmmac: qcom-ethqos: eliminate configure_func

From: Simon Horman <[email-masked]>
Date: Fri, 27 Mar 2026 09:23:27 +0000

On Thu, Mar 26, 2026 at 06:12:06PM +0000, Russell King (Oracle) wrote:
> On Thu, Mar 26, 2026 at 06:04:53PM +0000, Simon Horman wrote:
> > On Tue, Mar 24, 2026 at 01:11:44PM +0000, Russell King (Oracle) wrote:
> > > Since ethqos_fix_mac_speed() is called via a function pointer, and only
> > > indirects via the configure_func function pointer, eliminate this
> > > unnecessary indirection.
> > > 
> > > Signed-off-by: Russell King (Oracle) <[email-masked]>
> > 
> > ...
> > 
> > > @@ -623,14 +627,6 @@ static void ethqos_configure_sgmii(struct qcom_ethqos *ethqos,
> > >  	ethqos_pcs_set_inband(ethqos, interface == PHY_INTERFACE_MODE_SGMII);
> > >  }
> > >  
> > > -static void ethqos_fix_mac_speed(void *priv, phy_interface_t interface,
> > > -				 int speed, unsigned int mode)
> > > -{
> > > -	struct qcom_ethqos *ethqos = priv;
> > > -
> > > -	ethqos->configure_func(ethqos, interface, speed);
> > > -}
> > > -
> > >  static int qcom_ethqos_serdes_powerup(struct net_device *ndev, void *priv)
> > >  {
> > >  	struct qcom_ethqos *ethqos = priv;
> > 
> > Hi Russell,
> > 
> > FYI, AI generated review reports that the comment in ethqos_clks_config()
> > that references ethqos_fix_mac_speed() should also be updated.
> 
> Also already noted (yesterday).
> 
> I do keep an eye on patchwork for my own patches - I have a firefox tab
> permanently open for my patches in patchwork:
> 
> https://patchwork.kernel.org/project/netdevbpf/list/?submitter=165511
> 
> Thanks anyway.

Thanks, and sorry if you told me this before.
I'll try to remember and not spam you with these things going forward.